#ifndef  _TBOX_H_
#define  _TBOX_H_

#include "proto_decl.h"

#define TB_SPACE 10
#define TB_MAP    1
#define TB_UNMAP  2

typedef struct _rgb {
  unsigned long pixel;
  char rrggbb[7];
  char c1, c2;
  int x;
} rgb ;

typedef struct _TBox {
	Window		frame, title, main, ctr, ok;
	unsigned long 	fg, bg, ts, bs;
	GC		gc;
	XFontStruct 	*font;
	int		height, width, b_width, b_height;
	int             t_height, t_width;
	int             str_x, str_y;
	char            title_text [128];
	int             stat;
} TBox;
// TBox trombines_box;
FCT (void, DisplayTrombines, () );

FCT (void, ConfigTrombinesBox, (int width, int height) );
FCT (void, DisplayTrombines, () );
FCT (int, ExposeTrombinesBox, (XEvent *ev) );
FCT (void, InitTrombinesBox, () );
FCT (int, ButtonTrombinesBox, ( XButtonEvent * ev ));

#define GetTrombinesBoxFrame() (trombines_box.frame)

#endif /* _TBOX_H_ */
